%define oname		telepathy-farstream
%define major		3
%define libname		%mklibname %{oname} %major
%define girname		%mklibname %{oname}-gir 0.6
%define develname	%mklibname -d %{name}

Summary:	Stream Engine to handle media streaming channels
Name:		%{oname}0.6
Version:	0.6.0
Release:	%mkrel 3
Source0:	http://telepathy.freedesktop.org/releases/%{oname}/%{oname}-%{version}.tar.gz
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://telepathy.freedesktop.org/wiki/
BuildRequires: pkgconfig(dbus-1) >= 0.60
BuildRequires: pkgconfig(dbus-glib-1) >= 0.60
BuildRequires: pkgconfig(farstream-0.2)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.32
BuildRequires: pkgconfig(gobject-2.0) >= 2.32
BuildRequires: pkgconfig(telepathy-glib) >= 0.19.0
BuildRequires: gobject-introspection-devel

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{libname}
Group:		System/Libraries
Summary:	Stream Engine to handle media streaming channels

%description -n %{libname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}telepathy-farstream-devel < %{version}-%{release}

%description -n %{develname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files -n %libname
%{_libdir}/libtelepathy-farstream.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyFarstream-0.6.typelib

%files -n %develname
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{oname}
%{_libdir}/libtelepathy-farstream.so
%{_includedir}/telepathy-1.0/%{oname}
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/TelepathyFarstream-0.6.gir


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.6.0-3.mga3
+ Revision: 384227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.6.0-2.mga3
+ Revision: 333314
- imported package telepathy-farstream0.6

